Kirix Support Forums

Why wxAUI v0.9.2 does not have auibook ?

Please post all general questions, comments, bug reports, and any other wxAUI feedback here.

Why wxAUI v0.9.2 does not have auibook ?

Postby johnperlz on Mon Mar 03, 2008 9:39 pm

Dear all,

First, i have to apology that i am not good in english.

I try to add dockable tab (similar to MadEdit's opened document tab) in my app.
I have saw MadEdit's source code, he used auibook,but i cannot compile that wxAui version.
So i downloaded wxAUI v0.9.2 from this site , but there are no auibook classes.

Why ?
Where can i get wxAUI which have auibook ?

I am using wxWingets 2.6.0 & Prtable DevC++.


Thank you,
John Perl
johnperlz
Registered User
 
Posts: 1
Joined: Mon Mar 03, 2008 8:56 pm

Re: Why wxAUI v0.9.2 does not have auibook ?

Postby NinjaNL on Tue Mar 04, 2008 12:19 am

The current wxWidgets distribution?? Download and build the 2.8.7 library, or install a 2.8.7 UNICODE (MadEdit is built using a unicode build) devpak of the libraries.

You could also install wxDev-C++ (http://wxdsgn.sf.net) and ask the developers to provide an Unicode devpak of the libraries. wxDev has an integrated wxWidgets form builder for rapid prototyping of your frames/dialogs, with a drag and drop sort of designer. try it, you'll like it.

Why couldn't you build the version of wxAUI provided by MadEdit source? You should have had no problems.

Best
Mal
NinjaNL
Registered User
 
Posts: 40
Joined: Thu Jun 14, 2007 6:53 am

Re: Why wxAUI v0.9.2 does not have auibook ?

Postby Ben on Wed Mar 12, 2008 9:21 am

We probably should just remove the old 0.9.2 from our website. At the very least, mark it historical.

All the best,
Ben
Ben Williams
Kirix Support Team
User avatar
Ben
Kirix Support Team
 
Posts: 522
Joined: Mon Dec 19, 2005 6:29 am

Return to wxAUI Questions, Thoughts & Feedback